---
.ssh:
  image: alpine:latest
  before_script:
    - apk add --no-cache openssh
    - eval $(ssh-agent -s)
    - cat "${REMOTE_SSH_PRIVATE_KEY}" | ssh-add -
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - 'test -f /.dockerenv && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" >> ~/.ssh/config'
